<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="absensi" language="groovy" pageWidth="595" pageHeight="842" columnWidth="555" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20">
	<property name="ireport.zoom" value="1.0"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="16"/>
	<queryString>
		<![CDATA[select t1.name as kabupaten
,count(t2.id) as jumlah
from tbl_kabupaten t1
right join tbl_instansi t2 on t1.id=t2.kabupaten
group by t1.name
order by t1.name]]>
	</queryString>
	<field name="kabupaten" class="java.lang.String"/>
	<field name="jumlah" class="java.lang.Long"/>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band height="50" splitType="Stretch">
			<staticText>
				<reportElement x="19" y="12" width="521" height="23"/>
				<textElement textAlignment="Center">
					<font size="14" isBold="false"/>
				</textElement>
				<text><![CDATA[Jumlah Peserta Diklat per Kabupaten]]></text>
			</staticText>
		</band>
	</title>
	<pageHeader>
		<band height="35" splitType="Stretch"/>
	</pageHeader>
	<columnHeader>
		<band height="61" splitType="Stretch">
			<line>
				<reportElement x="0" y="0" width="555" height="1"/>
			</line>
			<line>
				<reportElement x="0" y="47" width="555" height="1"/>
			</line>
			<line>
				<reportElement x="555" y="0" width="1" height="61"/>
			</line>
			<line>
				<reportElement x="0" y="0" width="1" height="61"/>
			</line>
			<line>
				<reportElement x="413" y="2" width="1" height="59"/>
			</line>
			<line>
				<reportElement x="99" y="2" width="1" height="59"/>
			</line>
			<staticText>
				<reportElement x="426" y="15" width="114" height="20"/>
				<textElement textAlignment="Center">
					<font size="14" isBold="true"/>
				</textElement>
				<text><![CDATA[Jumlah Peserta]]></text>
			</staticText>
			<staticText>
				<reportElement x="19" y="15" width="59" height="20"/>
				<textElement textAlignment="Center">
					<font size="14" isBold="true"/>
				</textElement>
				<text><![CDATA[No.]]></text>
			</staticText>
			<staticText>
				<reportElement x="113" y="15" width="285" height="20"/>
				<textElement textAlignment="Center">
					<font size="14" isBold="true"/>
				</textElement>
				<text><![CDATA[kabupaten]]></text>
			</staticText>
		</band>
	</columnHeader>
	<detail>
		<band height="61" splitType="Stretch">
			<line>
				<reportElement x="555" y="0" width="1" height="61"/>
			</line>
			<line>
				<reportElement x="0" y="0" width="1" height="60"/>
			</line>
			<line>
				<reportElement x="1" y="60" width="554" height="1"/>
			</line>
			<line>
				<reportElement x="413" y="0" width="1" height="61"/>
			</line>
			<line>
				<reportElement x="99" y="0" width="1" height="60"/>
			</line>
			<textField>
				<reportElement x="426" y="10" width="114" height="36"/>
				<textElement/>
				<textFieldExpression><![CDATA[$F{jumlah}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="113" y="10" width="285" height="36"/>
				<textElement/>
				<textFieldExpression><![CDATA[$F{kabupaten}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="37" y="10" width="41" height="20"/>
				<textElement/>
				<textFieldExpression><![CDATA[$V{REPORT_COUNT}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<columnFooter>
		<band height="45" splitType="Stretch"/>
	</columnFooter>
	<pageFooter>
		<band height="54" splitType="Stretch"/>
	</pageFooter>
	<summary>
		<band height="42" splitType="Stretch"/>
	</summary>
</jasperReport>
